=== docs/CMakeLists.txt ===
add_subdirectory(kcookiejar5)
add_subdirectory(kioslave)
