=== src/ioslaves/CMakeLists.txt ===

add_subdirectory( file )
add_subdirectory( help )
add_subdirectory( http )
add_subdirectory( ftp )
add_subdirectory( mailto )
add_subdirectory( telnet )
add_subdirectory( trash )
add_subdirectory( protocols )
