## kio 5.26.0

=== debian/changelog ===
kio (5.26.0-0ubuntu2.1) yakkety-security; urgency=medium

  * SECURITY UPDATE:Information Leak when accessing https when using a
    malicious PAC file
      - debian/patches/kio-sanitize-url-to-FindProxyForURL.patch
      - Thanks to Safebreach Labs researchers Safebreach Labs researchers
        Itzik Kotler, Yonatan Fridburg and Amit Klein for reporting this
        issue, Albert Astals Cid for fixing this issue.
      - No CVE number.
      - fixes (LP: #1668871)

 -- v.naini <vishnu@vishnunaini.com>  Wed, 01 Mar 2017 14:28:14 +0530

kio (5.26.0-0ubuntu2) yakkety; urgency=medium

  * Add upstream_fix_abi_break_in_kio.diff to avoid ABI break. Also re-add the
    corresponding symbols to the symbols file.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 08:38:54 +0200

kio (5.26.0-0ubuntu1) yakkety; urgency=medium

  [ Rik Mills ]
  * Refresh patch kubuntu_failing-tests.diff
  * New upstream release (5.26.0)

  [ José Manuel Santamaría Lema ]
  * Remove a couple of deprecated symbols.
  * Amend symbols updating.

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:46:14 +0100

kio (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Rik Mills ]
  * Refreshed symbols from build logs

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:43:07 +0000

kio (5.23.0-0ubuntu1) yakkety; urgency=medium

  * Refreshed symbols
  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:13:45 +0200

kio (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Bump kf5 devel dependency versions. 
  * Debian merge: No remaining changes. 
  * Refresh symbols. 
  * Start over with symbols from debian, got magled somehow in move. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Removing kmail files (bin and .desktop) from kio.install
  * Removing merge markers from symbols files
  * Refreshing symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 12:36:26 -0700

kio (5.20.0-1~4.gbp9fe3e6) UNRELEASED; urgency=medium

  ** SNAPSHOT build @9fe3e6d6f7349f22adca67ff528293301b823493 **

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Update acc test script
  * UNRELEASED

  [ Automatic packaging ]
  * Update symbols files

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Tue, 05 Apr 2016 12:17:26 +0200

kio (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Add upstream patch: upstream_autotest__fix_ctest.patch
  * Add upstream patch: upstream_fix_wrong_path.patch
  * Add upstream patch: upstream_kioslavetest_fix_crash.patch
  * Add new library libkf5kiogui.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:35 +0100

kio (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * Refreshing symbols
  * Refreshing kubuntu_kdelibs4-docs-path.diff

 -- Clive Johnston <clivejo@aol.com>  Thu, 25 Feb 2016 17:23:06 +0000

kio (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Update symbols files from buildds logs (5.16.0-1).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:31 +0100
