=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kio
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kdoctools-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kdoctools-dev (>= 5.26.0~),
                libacl1-dev,
-               libkf5archive-dev (>= 5.18.0~),
-               libkf5bookmarks-dev (>= 5.18.0~),
-               libkf5codecs-dev (>= 5.18.0~),
-               libkf5completion-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5itemviews-dev (>= 5.18.0~),
-               libkf5jobwidgets-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5solid-dev (>= 5.18.0~),
-               libkf5textwidgets-dev (>= 5.18.0~),
-               libkf5wallet-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.26.0~),
+               libkf5bookmarks-dev (>= 5.26.0~),
+               libkf5codecs-dev (>= 5.26.0~),
+               libkf5completion-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5configwidgets-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5itemviews-dev (>= 5.26.0~),
+               libkf5jobwidgets-dev (>= 5.26.0~),
+               libkf5notifications-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5solid-dev (>= 5.26.0~),
+               libkf5textwidgets-dev (>= 5.26.0~),
+               libkf5wallet-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
+               libkf5windowsystem-dev (>= 5.26.0~),
+               libkf5xmlgui-dev (>= 5.26.0~),
                libkrb5-dev,
                libqt5x11extras5-dev (>= 5.4),
                libxml2-dev,
@@ -38,24 +39,25 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kio
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kio.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio
 
 Package: kio-dev
 Section: libdevel
 Architecture: any
 Depends: kio (= ${binary:Version}),
-         libkf5bookmarks-dev (>= 5.16.0~),
-         libkf5completion-dev (>= 5.16.0~),
-         libkf5itemviews-dev (>= 5.16.0~),
-         libkf5jobwidgets-dev (>= 5.16.0~),
+         libkf5bookmarks-dev (>= 5.26.0~),
+         libkf5completion-dev (>= 5.26.0~),
+         libkf5itemviews-dev (>= 5.26.0~),
+         libkf5jobwidgets-dev (>= 5.26.0~),
          libkf5kiocore5 (= ${binary:Version}),
          libkf5kiofilewidgets5 (= ${binary:Version}),
+         libkf5kiogui5 (= ${binary:Version}),
          libkf5kiontlm5 (= ${binary:Version}),
          libkf5kiowidgets5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.16.0~),
-         libkf5solid-dev (>= 5.16.0~),
-         libkf5xmlgui-dev (>= 5.16.0~),
+         libkf5service-dev (>= 5.26.0~),
+         libkf5solid-dev (>= 5.26.0~),
+         libkf5xmlgui-dev (>= 5.26.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Resource and network access abstraction.
@@ -108,6 +110,19 @@
  .
  This library contains some file dialog widgets.
 
+Package: libkf5kiogui5
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Resource and network access abstraction.
+ KDE Input/Output framework provides a single API for
+ operating on files, whether local or on a remote server.
+ Additionally, KIO Slaves provide support for individual
+ protocols. Some particularly useful ones are http, ftp,
+ sftp, smb, nfs, ssh (fish), man, tar and zip.
+ .
+ This library contains gui related jobs.
+
 Package: libkf5kiontlm5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -133,17 +148,3 @@
  sftp, smb, nfs, ssh (fish), man, tar and zip.
  .
  This library contains some UI widgets.
-
-Package: kio-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: kio (= ${binary:Version}), ${misc:Depends}
-Description: Resource and network access abstraction.
- KDE Input/Output framework provides a single API for
- operating on files, whether local or on a remote server.
- Additionally, KIO Slaves provide support for individual
- protocols. Some particularly useful ones are http, ftp,
- sftp, smb, nfs, ssh (fish), man, tar and zip.
- .
- This package contains debug symbols for kio.
